Totus hic locus est...

Totus hic locus est contemnendus in nobis, non negligendus in nostris. — Мы должны относиться с презрением ко всем этим заботам, когда дело идёт о нас, но не пренебрегать ими по отношению к нашим близким.

Мишель Монтень

«Опыты»

Рейтинг@Mail.ru Rambler's Top100 Каталог webplus.info Яндекс.Метрика

Сейчас на сайте 0 пользователей.

«Они считали чувство вины ошибкой, а угрызения совести — слабостью. Они всегда были практичны и никогда — сентиментальны. Но дружба их не имела границ.»

Зачем и почему удобно использовать Calculate Linux в повседневной работе? | [Харзах]-[РУ]

Аватар пользователя B.X

Уже не первый день существует замечательный дистрибутив Calculate Linux. А на ЛОРе до сих многие не знают, зачем он нужен и что он из себя представляет. Сразу хочу сказать, что это уникальный дистрибутив. Именно поэтому я его выбрал для своей домашней системы (но не побоюсь поставить и на сервера, если нужно будет). Главное, что впечатляет - это идеи, которые использованы при разработке этого превосходного продукта. Одна система установки из .iso файлов чего стоит. Нигде такого нет. Про создание своих дистрибутивов на основе Calculate Linux я не стану рассказывать - это просто есть и это очень удобно. Про стабильность и быстроту работы я расскажу чуть ниже. Отвечу здесь на несколько вопросов, самых, так сказать, наболевших. А именно, что такое Calculate Linux, как его использовать, зачем он нужен и какие плюсы и минусы у него есть. Если будут ещё вопросы, то можно задавать в комментариях, я отвечу и помещу их в статью.

Цитата:
Там написано много малоинформативной воды. Calculate основант на Gentoo и использует portage. Тоесть это ещё один дистрибутив, в котором нужно всё компилировать самому?

В общем так. Calculate Linux - это LiveCD дистрибутив, к тому же с непрерывным циклом (есть недельные сборки, которые всегда можно установить). Так как LiveCD, то понятно, загружаешься с CD или с флешки и там есть кнопка "установить Calculate Linux"... понятно в чём отличия от Gentoo?

Второе. Все сборки бинарные. Ничего компилировать сразу не надо. Установится даже быстрее, чем Убунту. Но вот все пакеты, которые не в сборке дистрибутива (дополнительные 10 тыс. пакетов gentoo), вот их уже надо компилировать и тд. Но делается это уже из готовой и собранной системы. Впрочем, ничто вам не мешает пересобрать всю систему заново. Calculate полностью совместим с gentoo.

Цитата:

Какой тогда смысл ставить это? Через неделю же сломается.

Вот не поверите, не сломается. Calculate Linux - это один из самых стабильных дистрибутивов на свете. Ничего не глючит, всё работает как надо. Просто идеально. Я уже пробовал много разных. Но Calculate самый стабильный из всех (Убунту, Федора, Мандрива даже просто рядом не стоят, как они меня раздражали своими глюками)...

Цитата:

Для кого предназначен этот дистрибутив и каковы его сильные/слабые качества?

Дистрибутив предназначен для всех, кому нужен хороший рабочий инструмент, который можно идеально настроить "под себя".

Плюсы:
Стабильность
Быстрота
Всё работает как надо
Можно не использовать pulseaudio (из коробки НЕ включен)
Можно не использовать systemd (из коробки НЕ включен)

Минусы:
Установка программ из консоли (но я уже настолько привык к красоте portage, что даже не замечаю)
Если комп старый, то компиляция будет не очень быстрая
Для дистрибутива нужно как минимум 10 ГБ места (а лучше 15-16).

Цитата:

Зачем оно нужно если есть Gentoo?

Gentoo, как и Calculate относятся к одному семейству метадистрибутива и дополняют друг друга. Нельзя сказать, зачем он нужен, если есть другая часть его же. Это просто бред.

Цитата:

при этом, получите именно gentoo, а не обломки calculate, поверх которых кое-как натянули gentoo, из под которого тут и там торчит calculate.

вы вообще не в теме... удивляюсь людям, которые пытаются рассуждать о том, о чём не имеют ни малейшего понятия... вы хоть пробовали? читали что-то о CLD? ну нет же ведь... так зачем печаете всякую ересь? так только убогие поступают, честное слово...

Аватар пользователя Гость

А вот и нет. Юзаю Calculate несколько лет, все устраивает, кроме одного - flash. Флеш-ролики постоянно падают, вешают браузер, а иногда и всю систему намертво, помогает только хард-ресет

Аватар пользователя Гость

У меня подобного ни разу не было. И вообще стабильнее систему не встречал, и это притом с постоянными то обновлениями...

Аватар пользователя B.X

Цитата:
кроме одного - flash

от видеокарты зависит... у меня на разных компах флеш ведёт себя по-разному... на ноуте иногда прерывает работу и приходится обновлять страницу... но чтобы резет - такого не было - это явно проблемы с оборудованием...

Аватар пользователя Гость

в убунте на этом же железе флеш работает нормально

Аватар пользователя Гость

гента не убунта ... в убунте в пакетах включено всё (расчёт на новичков в линуксе) , в генте пакеты идут с минимум юзов (расчёт на то , что вы точно знаете что вам надо включить ) ... так что гугель+руки+вкл.голова= гордо говорим УМВР :)

Аватар пользователя Гость

переход с кальки на чистую генту очень прост , ведь calculate=gentoo+calculate_overlay , тоесть
меняем профиль :
>eselect profile set * #*-номер нужного профиля генты
и удаляем кальковский оверлей :
>layman -d calculate
чистим:
>emerge --depclean
всё :)

Аватар пользователя B.X

Цитата:
в убунте на этом же железе флеш работает нормально

убунту - это уже и не совсем Линукс наверное... хех...

Аватар пользователя Гость

был случай, когда после обновления иксы слетели

Аватар пользователя Гость

но дело не в этом, с железом все в порядке - факт. кстати, та же проблема и под гентой была

Аватар пользователя Гость

Может, вы знаете решение. Периодически пытаюсь найти в гугле, пока безуспешно.

Аватар пользователя B.X

Цитата:
но дело не в этом, с железом все в порядке - факт. кстати, та же проблема и под гентой была. Может, вы знаете решение. Периодически пытаюсь найти в гугле, пока безуспешно.

Флеш падает и в Хромиуме тоже? Или только системный flash-player? Думаю, никто сейчас не заморачивается, но в Хромиуме своя версия флеша, более старшая, которую Google разрабатывает сам. А системная версия не разрабатывается больше.

Вы пробовали использовать флеш в виртуальных машинах (Virtualbox и тд.), как он там работает? Так же вешает систему или нет? Испробуйте разные варианты, посмотрите в чём дело. Также посмотрите, точно ли дело в Линукс (попробуйте использовать флеш на XP или 7-ке. И снова потестируйте Убунту, может в ней вы не нагружали флеш должным образом, чтобы всё зависло?

Аватар пользователя Гость

На работе (обычный десктоп) Калька с кедами на довольно старом ПК - все работает и работает хорошо.
Дома i7, 16 Гб, nvidia годная, а глючит сильно. Причем часто. Возможно, что это какие-то кде-проблемы вылезают под дровами от nvidia. х.з.

С флешем тоже раньше были проблемы, сейчас все хорошо, вроде. На рабочем ПК это проблема отсутствовала.

Аватар пользователя B.X

Странно вообще-то, конечно. У меня даже на самых плохих компьютерах, какой-нибудь Линукс заводился всегда. А уж чтобы на таком хорошем и мощном и вдруг косяки с флешем и видюхой? Всё, конечно, бывает. Если это дело в оборудовании, то тут уж или менять или терпеть, третьего не дано.

Аватар пользователя 158

Тоже не знаю. Стандартные приложения KDE могут запросто в "зомби" впадать, например.
Причем убить (а то и вовсе лишь убив родителя) их можно только через kill 9-й, а не 15-й сигнал в top'e/htop'e.

> А уж чтобы на таком хорошем и мощном и вдруг косяки с флешем и видюхой?
Я кучу дистрибутивов перепробовал на разных ПК и лаптопах, но вот да - были с флешем проблемы у кальки. Сейчас все хорошо. Просто люди писали про флеш тоже, вот и вспомнил.

Кстати, это у меня что-то не так или в генте сломали что-то? Гуглеж особо не помог.
Такая штука как домашнем, так и на рабочем ПК.
* Messages for package sys-libs/glibc-2.17:

* You need linux-headers of at least 3.4.0 for NPTL support!
* ERROR: sys-libs/glibc-2.17::gentoo failed (unpack phase):
* linux-headers version too low!
*
* Call stack:
* ebuild.sh, line 93: Called src_unpack
* environment, line 3080: Called eblit-run 'src_unpack'
* environment, line 842: Called eblit-glibc-src_unpack
* src_unpack.eblit, line 158: Called toolchain-glibc_src_unpack
* src_unpack.eblit, line 82: Called check_nptl_support
* src_unpack.eblit, line 55: Called die
* The specific snippet of code:
* die "linux-headers version too low!"
*
* If you need support, post the output of `emerge --info '=sys-libs/glibc-2.17::gentoo'`,
* the complete build log and the output of `emerge -pqv '=sys-libs/glibc-2.17::gentoo'`.
* The complete build log is located at '/var/calculate/tmp/portage/sys-libs/glibc-2.17/temp/build.log'.
* The ebuild environment file is located at '/var/calculate/tmp/portage/sys-libs/glibc-2.17/temp/environment'.
* Working directory: '/var/calculate/tmp/portage/sys-libs/glibc-2.17/work'
* S: '/var/calculate/tmp/portage/sys-libs/glibc-2.17/work/glibc-2.17'

* Regenerating GNU info directory index...
* Processed 142 info files.
* After world updates, it is important to remove obsolete packages with
* emerge --depclean. Refer to `man emerge` for more information